> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get import job status

> This endpoint is a part of CST-based flow. Called by CST to display import progress in Turboflow tool UI.



## OpenAPI

````yaml openapi/promotion-v3.json GET /v3/personaloffers/status
openapi: 3.0.4
info:
  title: Offer Api
  version: v3
servers:
  - url: https://{host}/promotion
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v3/personaloffers/status:
    get:
      tags:
        - PersonalOffers
      summary: Get import job status
      description: >-
        This endpoint is a part of CST-based flow. Called by CST to display
        import progress in Turboflow tool UI.
      parameters:
        - name: executionId
          in: query
          required: true
          schema:
            type: string
        - name: flowId
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ImportState'
            application/json:
              schema:
                $ref: '#/components/schemas/ImportState'
            text/json:
              schema:
                $ref: '#/components/schemas/ImportState'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ImportState:
      enum:
        - Accepted
        - InProgress
        - Done
        - Failed
      type: string
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````